Subject: Re: [Idr] partial bit set for AS4_PATH

From: Thomas Mangin <[email-masked]>
Date: Sat, 26 Jul 2014 13:28:28 +0200

Thank you - I clearly missed that .. will fix the code accordingly. Sorry for the noise.

---
from my iPhone

> On 26 Jul 2014, at 12:58, "Saikat Ray \(sairay\)" <[email-masked]> wrote:
> 
> If there is a BGP speaker in the middle that doesn't understand AS4_PATH,
> you would get the attribute with the Partial bit set to 1.
> 
> From 4271:
> 
> "  If a
>  path with an unrecognized transitive optional attribute is accepted
>  and passed to other BGP peers, then the unrecognized transitive
>  optional attribute of that path MUST be passed, along with the path,
>  to other BGP peers with the Partial bit in the Attribute Flags octet
>  set to 1.  If a path with a recognized, transitive optional attribute
>  is accepted and passed along to other BGP peers and the Partial bit
>  in the Attribute Flags octet is set to 1 by some previous AS, it MUST
>  NOT be set back to 0 by the current AS.  Unrecognized non-transitive
>  optional attributes MUST be quietly ignored and not passed along to
>  other BGP peers.
> "
> 
> On 7/26/14, 1:20 AM, "Thomas Mangin" <[email-masked]>
> wrote:
> 
>> Hello,
>> 
>> I have found recently that an implementation of BGP is encoding the
>> AS4_PATH attribute, setting the PARTIAL flag [1]
>> I do not see anything in RFC 4893 about setting this flag.
>> 
>> How an implementation should handle this case .. Is it an error or not ?
>> Perhaps idr-draft-error-handling should have some wording about AS4_PATH ?
>> 
>> Thank you,
>> 
>> Thomas
>> 
>> [1] https://github.com/Exa-Networks/exabgp/issues/150
> 
>